All endpoints
Heaven API requests sharing a path select a command with action in the JSON body or view in the query.
On this page
See the HTTP API guide for authentication or the OpenAPI document for machine-readable definitions.
Computers
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/computer/ | List or read Computers | |
GET /v1/computer/?view=usage | Read a Computer's usage | |
GET /v1/computer/?view=logs | Read the boot console | |
POST /v1/computer/create | Create a Computer | |
POST /v1/computer/delete | Delete Computers | |
POST /v1/computer/modify | start | Start a Computer |
POST /v1/computer/modify | stop | Stop a Computer |
POST /v1/computer/modify | restart | Restart a Computer |
POST /v1/computer/modify | pause | Pause a Computer |
POST /v1/computer/modify | resume | Resume a Computer |
POST /v1/computer/modify | reset | Reinstall a Computer |
POST /v1/computer/modify | rename | Rename a Computer |
POST /v1/computer/modify | move | Move a Computer |
POST /v1/computer/modify | resize | Resize a Computer |
POST /v1/computer/modify | tag | Tag a Computer |
GET /v1/computer/?view=tag | List tags | |
POST /v1/computer/modify | comment | Comment on a Computer |
GET /v1/computer/?view=terminal | Open the browser terminal | |
GET /v1/computer/?view=desktop | Open the desktop | |
GET /v1/computer/?view=access | Read who has access | |
POST /v1/computer/modify | share add | Share a Computer |
POST /v1/computer/modify | share remove | Stop sharing a Computer |
POST /v1/computer/modify | share link add | Create a share link |
POST /v1/computer/modify | share link remove | Remove a share link |
POST /v1/computer/modify | transfer | Transfer a Computer |
POST /v1/computer/modify | grant-support-root | Give support root access |
POST /v1/computer/modify | website | Set who reaches the website |
GET /v1/computer/?view=port | List public ports | |
POST /v1/computer/modify | port add | Publish a port |
POST /v1/computer/modify | port remove | Close a port |
GET /v1/computer/?view=mail | Read mail settings | |
POST /v1/computer/modify | mail | Change mail settings |
GET /v1/computer/?view=mail+status | Read a message's delivery |
Snapshots
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/computer/snapshot/ | List or read snapshots | |
POST /v1/computer/snapshot/create | Snapshot a Computer | |
POST /v1/computer/snapshot/modify | edit | Change a snapshot |
POST /v1/computer/snapshot/modify | restore | Restore a snapshot |
POST /v1/computer/snapshot/delete | Delete snapshots |
Run and export
#| Endpoint | Action | Request |
|---|---|---|
POST /v1/computer/exec | Run a command | |
GET /v1/computer/export | Export a disk |
Templates
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/template/ | List templates |
Pools
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/pool/ | List or read pools | |
GET /v1/pool/?view=usage | Read a pool's usage | |
POST /v1/pool/create | Create a pool | |
POST /v1/pool/delete | Delete a pool | |
POST /v1/pool/modify | start | Start a pool |
POST /v1/pool/modify | stop | Stop a pool |
POST /v1/pool/modify | pause | Pause a pool |
POST /v1/pool/modify | resume | Resume a pool |
POST /v1/pool/modify | stop-last | Keep a pool running longest |
POST /v1/pool/modify | resize | Resize a pool |
POST /v1/pool/modify | rename | Rename a pool |
POST /v1/pool/modify | split | Split a pool |
POST /v1/pool/modify | combine | Combine pools |
POST /v1/pool/modify | transfer | Transfer a pool |
POST /v1/pool/modify | defaults set | Set pool defaults |
POST /v1/pool/modify | defaults clear | Clear pool defaults |
POST /v1/pool/modify | share add | Share a pool |
POST /v1/pool/modify | share remove | Stop sharing a pool |
Pool snapshots
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/pool/snapshot/ | List or read pool snapshots | |
POST /v1/pool/snapshot/create | Snapshot a pool | |
POST /v1/pool/snapshot/modify | edit | Change a pool snapshot |
POST /v1/pool/snapshot/modify | restore | Restore a pool snapshot |
POST /v1/pool/snapshot/delete | Delete a pool snapshot | |
POST /v1/pool/snapshot/modify | share add | Share a pool snapshot |
POST /v1/pool/snapshot/modify | share remove | Stop sharing a pool snapshot |
Capacity
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/capacity/ | Read your capacity | |
GET /v1/plan/ | List plans | |
POST /v1/organization/capacity/create | Buy capacity | |
POST /v1/organization/capacity/modify | resize | Change a purchase's plan |
POST /v1/organization/capacity/modify | switch | Switch monthly or hourly |
POST /v1/organization/capacity/modify | cancel-change | Cancel a scheduled change |
POST /v1/organization/capacity/delete | Release capacity |
Domains
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/domain/ | List domains and names | |
POST /v1/organization/domain/create | Connect a domain | |
POST /v1/organization/domain/modify | edit | Change who adds names |
POST /v1/organization/domain/modify | address | Choose the organization's address |
POST /v1/organization/domain/delete | Disconnect a domain | |
POST /v1/organization/domain/modify | add | Add a name to a Computer |
GET /v1/organization/domain/?view=check | Check a name's DNS | |
POST /v1/organization/domain/modify | remove | Remove a name |
Static addresses
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/ip/ | List static addresses | |
POST /v1/organization/ip/create | Buy static addresses | |
POST /v1/organization/ip/modify | attach | Attach static addresses |
POST /v1/organization/ip/modify | detach | Detach static addresses |
POST /v1/organization/ip/delete | Release static addresses |
Organizations
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/ | List or read organizations | |
GET /v1/organization/?view=usage | Read an organization's usage | |
GET /v1/organization/?view=audit | Read the audit log | |
POST /v1/organization/create | Create an organization | |
POST /v1/organization/delete | Close an organization | |
POST /v1/organization/modify | rename | Rename an organization |
POST /v1/organization/modify | setting | Change an organization's setting |
GET /v1/organization/?view=member | List members | |
POST /v1/organization/modify | member add | Invite a member |
POST /v1/organization/modify | member role | Change a member's access |
POST /v1/organization/modify | member remove | Remove a member |
POST /v1/organization/modify | leave | Leave an organization |
GET /v1/organization/?view=invitation | List sent invitations | |
POST /v1/organization/modify | invitation cancel | Cancel an invitation |
POST /v1/organization/modify | link add | Get a join link |
GET /v1/organization/?view=link | List join links | |
POST /v1/organization/modify | link remove | Remove a join link |
Teams
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/team/ | List or read teams | |
POST /v1/organization/team/create | Create a team | |
POST /v1/organization/team/modify | rename | Rename a team |
POST /v1/organization/team/modify | setting | Change a team's setting |
POST /v1/organization/team/modify | member add | Add a team member |
POST /v1/organization/team/modify | member role | Change a team member's role |
POST /v1/organization/team/modify | member remove | Remove a team member |
POST /v1/organization/team/modify | leave | Leave a team |
POST /v1/organization/team/delete | Delete a team |
Billing
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/billing/ | Read billing | |
GET /v1/organization/billing/?view=cost | Read this month's cost | |
GET /v1/organization/billing/?view=history | List charges | |
POST /v1/organization/billing/modify | top-up | Top up the wallet |
POST /v1/organization/billing/modify | charge | Charge your saved card |
POST /v1/organization/billing/modify | auto-top-up | Set automatic top-up |
POST /v1/organization/billing/modify | refund | Refund the wallet |
POST /v1/organization/billing/modify | redeem | Redeem an offer |
GET /v1/organization/billing/?view=invoices | List invoices | |
POST /v1/organization/billing/modify | pay | Pay an invoice |
GET /v1/organization/billing/?view=details | Read invoice details | |
POST /v1/organization/billing/modify | details set | Set invoice details |
POST /v1/organization/billing/modify | card setup | Start saving a card |
POST /v1/organization/billing/modify | card save | Save a card |
POST /v1/organization/billing/modify | portal | Open the billing portal |
POST /v1/organization/billing/modify | egress-cap | Set the egress cap |
POST /v1/organization/billing/modify | spend-alert | Set the spend alert |
POST /v1/organization/billing/modify | spending-cap | Set the spending cap |
POST /v1/organization/billing/modify | usage-emails | Turn usage notices on or off |
GET /v1/organization/billing/?view=contact | List billing contacts | |
POST /v1/organization/billing/modify | contact add | Add a billing contact |
POST /v1/organization/billing/modify | contact remove | Remove a billing contact |
Integrations
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/organization/integration/ | List integrations | |
POST /v1/organization/integration/create | Create an integration | |
POST /v1/organization/integration/modify | edit | Change an integration |
POST /v1/organization/integration/modify | attach | Attach an integration |
POST /v1/organization/integration/modify | detach | Detach an integration |
POST /v1/organization/integration/modify | rename | Rename an integration |
POST /v1/organization/integration/modify | pause | Pause an integration |
POST /v1/organization/integration/modify | resume | Resume an integration |
POST /v1/organization/integration/delete | Delete an integration | |
GET /v1/organization/integration/?view=repo | List a GitHub integration's repositories |
Account
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/account/ | Read your account | |
POST /v1/account/modify | email | Change your email address |
POST /v1/account/modify | name | Set your name |
POST /v1/account/delete | Delete your account | |
GET /v1/account/?view=notification | List notifications | |
POST /v1/account/modify | notification read | Mark notifications read |
GET /v1/account/?view=defaults | Read your default setup script | |
POST /v1/account/modify | defaults set | Set your default setup script |
POST /v1/account/modify | defaults clear | Clear your default setup script |
GET /v1/account/?view=sign-in | Read your sign-ins | |
POST /v1/account/modify | sign-in lifetime | Set your sign-in lifetime |
POST /v1/account/modify | sign-in end-all | Sign out everywhere |
GET /v1/account/?view=mcp-request | Read an MCP sign-in request | |
GET /v1/account/?view=invitation | List your invitations | |
POST /v1/account/modify | invitation accept | Accept an invitation |
POST /v1/account/modify | invitation decline | Decline an invitation |
SSH keys
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/account/ssh-key/ | List SSH keys | |
POST /v1/account/ssh-key/create | Add an SSH key | |
POST /v1/account/ssh-key/modify | rename | Rename an SSH key |
POST /v1/account/ssh-key/delete | Remove an SSH key |
API keys
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/account/api-key/ | List API keys | |
POST /v1/account/api-key/create | Create an API key | |
POST /v1/account/api-key/modify | edit | Change an API key |
POST /v1/account/api-key/modify | rotate | Rotate an API key |
POST /v1/account/api-key/delete | Remove an API key |
Connect codes
#| Endpoint | Action | Request |
|---|---|---|
POST /v1/account/connect-code/create | Create a connect code | |
GET /v1/account/connect-code/ | List agents waiting for approval | |
POST /v1/account/connect-code/modify | approve | Approve an agent |
POST /v1/account/connect-code/modify | deny | Deny an agent |
Operations
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/operation/ | Read an operation |
Key permissions
#| Endpoint | Action | Request |
|---|---|---|
GET /v1/command/ | List the commands a key can run |
Feedback
#| Endpoint | Action | Request |
|---|---|---|
POST /v1/feedback/create | Send feedback |